From d202cae56415b621932ab27c9bee8a3108553969 Mon Sep 17 00:00:00 2001
From: Soren Stoutner <soren@stoutner.com>
Date: Fri, 16 Jun 2023 10:21:28 -0700
Subject: [PATCH] Add system/tiff.patch

---
 debian/changelog                 |  9 +++++++++
 debian/control                   |  1 +
 debian/copyright                 |  1 +
 debian/patches/series            |  1 +
 debian/patches/system/tiff.patch | 16 ++++++++++++++++
 5 files changed, 28 insertions(+)
 create mode 100644 debian/patches/system/tiff.patch

diff --git a/debian/changelog b/debian/changelog
index de4c90c4..71b83092 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+chromium (114.0.5735.133-2) UNRELEASED; urgency=medium
+
+  [ Soren Stoutner ]
+  * Add d/patches/system/tiff.patch.
+  * d/control:  Add build-depend on libtiff-dev.
+  * d/copyright:  Add myself.
+
+ -- Andres Salomon <dilinger@debian.org>  Tue, 13 Jun 2023 13:32:55 -0400
+
 chromium (114.0.5735.133-1) unstable; urgency=high
 
     - CVE-2023-3214: Use after free in Autofill payments.
diff --git a/debian/control b/debian/control
index 76dd5350..ff503faf 100644
--- a/debian/control
+++ b/debian/control
@@ -53,6 +53,7 @@ Build-Depends:
  libre2-dev,
  libgbm-dev,
  libpng-dev,
+ libtiff-dev,
  libxss-dev,
  libelf-dev,
  libpci-dev,
diff --git a/debian/copyright b/debian/copyright
index be28a101..abe25706 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -184,6 +184,7 @@ Copyright:
  2009-2010 Fabien Tassin <fta@ubuntu.com>
  2010-2014 Giuseppe Iuculano <iuculano@debian.org>
  2012-2019 Michael Gilbert <mgilbert@debian.org>
+ 2023 Soren Stoutner <soren@stoutner.com>
 License: BSD-3-clause
 
 Files: PRESUBMIT.py
diff --git a/debian/patches/series b/debian/patches/series
index e6edfc54..3d45fb4b 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -28,6 +28,7 @@ disable/clang-version-check.patch
 
 system/icu-shim.patch
 system/jpeg.patch
+system/tiff.patch
 system/zlib.patch
 system/event.patch
 system/openjpeg.patch
diff --git a/debian/patches/system/tiff.patch b/debian/patches/system/tiff.patch
new file mode 100644
index 00000000..2e5a96a5
--- /dev/null
+++ b/debian/patches/system/tiff.patch
@@ -0,0 +1,16 @@
+Description: Use the system libtiff.
+From: Soren Stoutner <soren@stoutner.com>
+Forwarded: not-needed
+Last-Update: 2023-06-15
+
+--- a/third_party/pdfium/pdfium.gni
++++ b/third_party/pdfium/pdfium.gni
+@@ -68,7 +68,7 @@
+   use_system_libpng = false
+ 
+   # Don't build against bundled libtiff.
+-  use_system_libtiff = false
++  use_system_libtiff = true
+ 
+   # Don't build against bundled zlib.
+   use_system_zlib = false
-- 
GitLab

